/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/offer_history_details.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/offer_history_details.xml',
'<View title="Vacancy offer history details" defaultFormHandler="xxas_vacancy_pkg.commit_form_data">

  <CreateFields>
    <Hidden id="MODE"/>
      <TextInput id="OFF_HIST_STATUS" label="Offer Status" visible="true" enabled="false" required="false"/>
      <TextInput id="RESP_FULL_NAME" label="User" visible="true" enabled="false" required="false"/>
      <Date id="OFF_HIST_STATUS_CHANGE_DATE" label="Date/Time" visible="true" enabled="false" required="false"/>
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/offer_history_details.xml');
END;
/
COMMIT;
EXIT;
